[supervisord]
nodaemon=true
logfile=/tmp/supervisord.log
logfile_maxbytes=50MB
logfile_backups=10
pidfile=/tmp/supervisord.pid

[program:pulsar-manager-frontend]
command=sh -c "cd /pulsar-manager/pulsar-manager/ui && npm start"
autostart=true
autorestart=true
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0

[program:pulsar-manager-backend]
command=/pulsar-manager/pulsar-manager/bin/pulsar-manager \
  --redirect.host=%(ENV_REDIRECT_HOST)s \
  --redirect.port=%(ENV_REDIRECT_PORT)s \
  --spring.datasource.driver-class-name=%(ENV_DRIVER_CLASS_NAME)s \
  --spring.datasource.url=%(ENV_URL)s \
  --spring.datasource.username=%(ENV_USERNAME)s \
  --spring.datasource.password=%(ENV_PASSWORD)s \
  --spring.datasource.initialization-mode=%(ENV_INITIALIZATION_MODE)s \
  --logging.level.org.apache=%(ENV_LOG_LEVEL)s
environment=ENV_REDIRECT_HOST="%(ENV_REDIRECT_HOST)s",ENV_REDIRECT_PORT="%(ENV_REDIRECT_PORT)s",ENV_DRIVER_CLASS_NAME="%(ENV_DRIVER_CLASS_NAME)s",ENV_URL="%(ENV_URL)s",ENV_USERNAME="%(ENV_USERNAME)s",ENV_PASSWORD="%(ENV_PASSWORD)s",ENV_INITIALIZATION_MODE="%(ENV_INITIALIZATION_MODE)s",ENV_LOG_LEVEL="%(ENV_LOG_LEVEL)s"
user=root
autostart=true
autorestart=true
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
stderr_logfile=/dev/stderr
stderr_logfile_maxbytes=0
